Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006830TestLinkAvailable Fixespublic2014-12-10 20:472015-09-19 08:52
Reporterfman 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.13 (2015 #1) 
Fixed in Version1.9.14 (2015 Q3) 
Summary0006830: Availables hot-fixes for 1.9.13 & How To get full fixed package from GitHub
DescriptionRepository has been moved to GitHub

Availables hot-fixes for 1.9.13

Please do not add any note to this issue.
No request for help, no request for explanations
Thanks a lot


Get latest package with all fixes from GitHub, using wget
wget https://github.com/TestLinkOpenSourceTRMS/testlink-code/archive/testlink_1_9.zip [^]




Please do not add any note to this issue.
No request for help, no request for explanations
Thanks a lot
TagsNo tags attached.
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
related to 0007073closedfman Assign Test Case Exec - tester combo multiselect 
related to 0007123closedfman User with build management able to delete builds (and thus test case execution) without Delete execution rights 
parent of 0006938closedfman Create Build from existent one - copy tester assignment filtering by execution status 
parent of 0006931closedfman Get keywords changed to support test case set as input 
parent of 0006852closedfman Invisible text after ghost links in TC description (WHEN Version is EMPTY on GHOST) 
parent of 0006934closedfman Set keywords for a test case or a test case set 
parent of 0006944closedfman Test case was assign to "None" user or one user multiple times? 
parent of 0006955closedfman affecting a role on a project make you lose your own role (Pagination enabled) 
parent of 0006954closedfman "Forgotten password" - email not send 
parent of 0006962closedfman Users not receiving password reset emails 
parent of 0006960closedfman Setup parameter for height and width of execution notes editor (AFTER EXEC NOTES HAS BEEN CREATED) 
parent of 0006957closedfman Test report does not show a test summary and duration 
parent of 0006964closedfman Filter by platform on tree has no effect on right side pane 
parent of 0006982closedfman Possibility to upload screenshot attachment from Testlink to Jira 
parent of 0007014closedfman Create/Change test case with custom execution type, custom value is ignored 
parent of 0007016closedfman A project leader cannot create a test plan via the XMLRPC API 
parent of 0007019closedfman API - XMLRPC - deleteTestProject() Method 
parent of 0007020closedfman API - XMLRPC - creatTestPlan() interface improvement 
parent of 0007006closedfman Step is created twice assign a requirement jsut after the test creation 
parent of 0007023closedfman Test execution mode shows "File i Browse... " bar under every test step - unable to disable with $tlCfg->exec_cfg->steps_exec 
parent of 0007032closedfman Test Case - possibility to update attributes on ALL versions 
parent of 0004025closedfman option to avoid that obsolete test cases can be added to new test plans 
parent of 0007034closedfman Bulk value assignment on Custom fields for Test Case set 
parent of 0007038closedfman an user with a global "admin" role, can loose his rights on a project 
parent of 0007039closedfman Global Admin role will not be demoted/changed on test project or test plan 
parent of 0005095closedfman Testcases with the same name after import from xml file 
parent of 0007022closedfman Test execution navigator tree doesn't show angle brackets and content in angle brackets for test case name. 
parent of 0007050closedfman JIRA REST - Possibility to specify custom fields on XML configuration 
parent of 0007053closedfman Possibility to get reports in xls format via wget 
parent of 0006943closedfman No message showing issue is created successfully or not when clicking "save" in "create issue" page 
parent of 0007056closedfman JIRA REST API - No bug is created after clicking on Save button. 
parent of 0006997closedfman Copy TestSuite: add a checkbox to copy or not assigned requirement 
parent of 0006996closedfman Copy Test Suite: can't keep Assigned Requirement 
parent of 0007060closedfman Add / Remove Test Cases - Multiselection of Importance 
parent of 0007067closedfman Add/Remove Test Cases - Advanced Filters do nothing 
parent of 0007072closedfman Allow multiselect testers in the bulk testcase assignment dropdown list 
parent of 0007079closedfman Test suite document shows Last Result as not run for test cases witch has been executed 
parent of 0007081closedfman Jira Rest Integration - Better check on mandatory config parameter (projectKey) 
parent of 0007082closedfman Jira Rest - Connection check - added get project data as MANDATORY CONDITION 
parent of 0007078closedfman Jira Rest causes crash preventing user from seeing execution results (BAD USER CONFIGURATION) 
parent of 0007085closedfman "Results by Tester per Build" - "Execution time" becomes 00:00 when total time exceed 1000 minutes 
parent of 0007096closedfman Issue creation in Redmine is not working 
parent of 0007097closedfman Can't login to TestLink when using strong passwords (len > 32) in LDAP 
parent of 0007104closedfman Report - Not Run Test Cases - Assigned to column population needs to be refactored for multiple user exec assignment 
parent of 0007107closedfman Report - Test Case Assignment Overview - when exec status <> not run display info about who has executed 
parent of 0007111closedfman Test Specification Filter for "Status" and "Importance" is broken 
parent of 0007112closedfman Test Case with multiple users assigned is not able to be executed.BY USERS WITH TESTER ROLE 
parent of 0001422closedfman Generate user API Key by admin 
parent of 0001893closedfman Admin should be able to e-mail users their API key 
parent of 0007106closedfman Import TestPlan has to follow same logic than GUI (OBSOLETE STATUS issue) 
parent of 0004669closedfman Requirement / TestCase relationship broken when a new project is created from an existing one (1.9.3) 
parent of 0007131closedfman Test Results Flat (ONLY Spreadsheet format) - to allow further processing by user 
parent of 0007126closedfman Test report on SPECIFIC build displays wrong execution time 
parent of 0007142closedfman Requirement relations are missing when creating new testproject based on existent one 
parent of 0007146closedfman Possibility to access Specific Execution Information in Print (Read Only) Mode 
parent of 0007150closedfman Copying builds without release date fails (POSTGRES) 
parent of 0007148closedfman TestLink doesn't show Execution History for test cases if those are the part of inactive test plans 
parent of 0007152closedfman Test case search accessed by magnifying glass - Search gives no result 
parent of 0007025closedfman Execution history is slow because of attachments comparison 
parent of 0007155closedfman Test Plan usage - Edit test cases - access to test case data is very slow when test plan links > 30 
parent of 0007159closedfman Projects disappeared 
parent of 0007145closedfman direct link to test execution results page 
parent of 0007168closedfman Tester can set test cases on Test Case Assignement Overview page without permission 
parent of 0007160closedfman Stored XSS in User Managment (View Users) 
parent of 0007127closedfman Possibility to include only assigned testcases in "Test report on build" 
parent of 0007170closedfman Test plan table - add pagination 
parent of 0007171closedfman Pagination via JQuery DataTables - added pagination length config option 
parent of 0007177closedfman LATEST GITHUB CODE - Already executed test case can't be edit by import a modified xml-file 
parent of 0007173closedfman Test report matrix - export to spreadsheet stopped working 
parent of 0007192closedfman E_NOTICE during successful LDAP login 
parent of 0007194closedfman E_NOTICE when viewing test execution history 
parent of 0007193closedfman Invalid HTML in test case version comparison (diff) 
parent of 0007195closedfman E_WARNINGs on Windows from unlink() within Smarty 
parent of 0007206closedfman add/remove to test plan - Filter by test case status SIMPLE MODE doesn't work 
parent of 0007202closedfman Method "tl.getTestCaseCustomFieldExecutionValue" not working as expected 
parent of 0007209closedfman reportTCResult - optional parameter to provide execution duration 
parent of 0007212closedfman Alter tables SQL files not updated for MSSQL 
parent of 0007214closedfman GITHUB CODE - could not delete attachment in text execution results 
parent of 0007228closedfman Issue creation with custom fields in Redmine is not working 
parent of 0007240closedfman Jira REST API.Something is preventing connection to Bug Track System" 
parent of 0007241closedfman reportTCResult - optional parameter to provide timestamp 
parent of 0007224closedfman GITHUB CODE - Mail not sent in test case assignment when BULK MODE IS USED 
parent of 0007248closedfman API to update testSuite Custom field design value. 
parent of 0007255closedfman Unable to create a platform with XMLRPC request if user has not "admin" role 
parent of 0007258closedfman Spelling error of 'maximum' in 'Assign Requirement' 
parent of 0007250closedfman Requirement View (Read only access) given you user doesnt work as expected 
parent of 0007261closedfman Multiple file upload for EXECUTION 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2014-12-10 20:47 fman New Issue
2014-12-10 20:47 fman Status new => assigned
2014-12-10 20:47 fman Assigned To => fman
2014-12-10 20:47 fman Issue generated from: 0006609
2015-02-07 07:36 fman View Status private => public
2015-02-07 15:44 fman Sticky Issue No => Yes
2015-02-07 15:46 fman Relationship added parent of 0006938
2015-02-09 20:16 fman Relationship added parent of 0006931
2015-02-11 14:03 fman Description Updated View Revisions
2015-02-11 19:05 fman Relationship added parent of 0006852
2015-02-14 10:34 fman Relationship added parent of 0006934
2015-02-14 15:37 fman Relationship added parent of 0006944
2015-02-18 18:04 fman Relationship added parent of 0006955
2015-02-19 21:00 fman Relationship added parent of 0006954
2015-02-19 21:00 fman Relationship added parent of 0006962
2015-02-20 20:32 fman Relationship added parent of 0006960
2015-02-21 12:00 fman Relationship added parent of 0006957
2015-02-21 16:29 fman Relationship added parent of 0006964
2015-03-08 11:04 fman Summary Availables hot-fixes for 1.9.13 & How To get full fixed package from gitorious => Availables hot-fixes for 1.9.13 & How To get full fixed package from GitHub
2015-03-08 11:04 fman Description Updated View Revisions
2015-03-08 11:12 fman Description Updated View Revisions
2015-03-12 21:31 fman Relationship added related to 0006996
2015-03-12 21:31 fman Relationship added related to 0006997
2015-03-14 15:57 fman Relationship added parent of 0006982
2015-03-21 09:05 fman Relationship added parent of 0007014
2015-03-21 14:35 fman Relationship added parent of 0007016
2015-03-21 14:35 fman Relationship added parent of 0007019
2015-03-21 14:35 fman Relationship added parent of 0007020
2015-03-23 18:48 fman Relationship added parent of 0007006
2015-03-24 21:36 fman Relationship added parent of 0007023
2015-03-28 15:13 fman Relationship added parent of 0007032
2015-03-28 15:13 fman Relationship added parent of 0004025
2015-03-29 14:47 fman Relationship added parent of 0007034
2015-04-01 19:42 fman Relationship added parent of 0007038
2015-04-01 19:42 fman Relationship added parent of 0007039
2015-04-04 07:36 fman Relationship added parent of 0005095
2015-04-04 07:53 fman Relationship added parent of 0007022
2015-04-11 14:31 fman Relationship added parent of 0007050
2015-04-12 15:24 fman Relationship added parent of 0007053
2015-04-13 19:38 fman Relationship added related to 0007056
2015-04-13 19:39 fman Relationship added parent of 0006943
2015-04-13 19:41 fman Relationship deleted related to 0007056
2015-04-13 19:41 fman Relationship added parent of 0007056
2015-04-13 19:41 fman Relationship deleted related to 0006997
2015-04-13 19:41 fman Relationship added parent of 0006997
2015-04-13 19:42 fman Relationship deleted related to 0006996
2015-04-13 19:42 fman Relationship added parent of 0006996
2015-04-19 09:41 fman Relationship added parent of 0007060
2015-04-19 09:41 fman Relationship added parent of 0007067
2015-04-19 16:16 fman Relationship added related to 0007073
2015-04-20 21:32 fman Relationship added parent of 0007072
2015-04-24 17:02 fman Relationship added parent of 0007079
2015-04-25 13:35 fman Relationship added parent of 0007081
2015-04-25 13:35 fman Relationship added parent of 0007082
2015-04-25 13:37 fman Relationship added parent of 0007078
2015-04-29 21:01 fman Relationship added parent of 0007085
2015-05-01 15:52 fman Relationship added parent of 0007096
2015-05-02 10:19 fman Relationship added parent of 0007097
2015-05-03 13:28 fman Relationship added parent of 0007104
2015-05-03 19:05 fman Relationship added parent of 0007107
2015-05-08 18:19 fman Relationship added parent of 0007111
2015-05-08 19:08 fman Relationship added parent of 0007112
2015-05-10 15:38 fman Relationship added parent of 0001422
2015-05-10 15:40 fman Relationship added parent of 0001893
2015-05-10 17:03 fman Relationship added parent of 0007106
2015-05-18 18:03 fman Relationship added related to 0007123
2015-05-19 18:32 fman Relationship added parent of 0004669
2015-05-24 15:07 fman Relationship added parent of 0007131
2015-05-25 18:36 fman Relationship added parent of 0007126
2015-06-02 13:39 fman Relationship added parent of 0007142
2015-06-02 18:52 fman Relationship added parent of 0007146
2015-06-07 08:11 fman Relationship added parent of 0007150
2015-06-07 22:15 fman Relationship added parent of 0007148
2015-06-09 20:36 fman Relationship added parent of 0007152
2015-06-13 08:05 fman Relationship added parent of 0007025
2015-06-13 08:06 fman Relationship added parent of 0007155
2015-06-13 10:48 fman Relationship added parent of 0007159
2015-06-14 11:00 fman Relationship added parent of 0007145
2015-06-18 19:18 fman Relationship added parent of 0007168
2015-06-18 21:38 fman Relationship added parent of 0007160
2015-06-20 16:41 fman Relationship added parent of 0007127
2015-06-21 10:19 fman Relationship added parent of 0007170
2015-06-21 10:19 fman Relationship added parent of 0007171
2015-06-26 18:54 fman Relationship added parent of 0007177
2015-06-29 20:29 fman Relationship added parent of 0007173
2015-07-09 18:47 fman Relationship added parent of 0007192
2015-07-09 21:04 fman Relationship added parent of 0007194
2015-07-09 21:08 fman Relationship added parent of 0007193
2015-07-09 21:19 fman Relationship added parent of 0007195
2015-07-29 20:35 fman Relationship added parent of 0007206
2015-08-01 08:30 fman Relationship added parent of 0007202
2015-08-01 09:02 fman Relationship added parent of 0007209
2015-08-08 09:44 fman Relationship added parent of 0007212
2015-08-08 09:44 fman Relationship added parent of 0007214
2015-08-15 15:47 fman Relationship added parent of 0007228
2015-08-31 15:41 fman Relationship added parent of 0007240
2015-09-08 15:34 fman Relationship added parent of 0007241
2015-09-08 15:34 fman Relationship added parent of 0007224
2015-09-08 17:25 fman Relationship added parent of 0007248
2015-09-16 21:52 fman Relationship added parent of 0007255
2015-09-17 17:25 fman Relationship added parent of 0007258
2015-09-17 19:54 fman Relationship added parent of 0007250
2015-09-18 18:23 fman Relationship added parent of 0007261
2015-09-19 07:02 fman Issue cloned: 0007262
2015-09-19 07:02 fman Relationship added related to 0007262
2015-09-19 08:52 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2015-09-19 08:52 fman Status assigned => closed
2015-09-19 08:52 fman Resolution open => fixed
2015-09-19 08:52 fman Fixed in Version => 1.9.14 (2015 Q3)
2016-03-12 09:41 fman Relationship deleted related to 0007262



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker